/*
 * DMLib
 * -- Bogus implementations of SDL mutex functions
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2012 Tecnic Software productions (TNSP)
 */

Uint32 SDL_ThreadID()
{
    return 0;
}

int SDL_mutexP(SDL_mutex *p)
{
    (void) p;
    return 0;
}

int SDL_mutexV(SDL_mutex *p)
{
    (void) p;
    return 0;
}

SDL_mutex * SDL_CreateMutex()
{
    return NULL;
}

void SDL_DestroyMutex(SDL_mutex *p)
{
    (void) p;
}
